--- migrate_from_trac.rake.orig	2011-08-02 02:01:11.000000000 +0200
+++ migrate_from_trac.rake	2011-09-12 21:29:53.592367290 +0200
@@ -160,8 +160,8 @@
         set_inheritance_column :none
 
         # ticket changes: only migrate status changes and comments
-        has_many :changes, :class_name => "TracTicketChange", :foreign_key => :ticket
-        has_many :attachments, :class_name => "TracAttachment",
+        has_many :changes, :class_name => "TracMigrate::TracTicketChange", :foreign_key => :ticket
+        has_many :attachments, :class_name => "TracMigrate::TracAttachment",
                                :finder_sql => "SELECT DISTINCT attachment.* FROM #{TracMigrate::TracAttachment.table_name}" +
                                               " WHERE #{TracMigrate::TracAttachment.table_name}.type = 'ticket'" +
                                               ' AND #{TracMigrate::TracAttachment.table_name}.id = \'#{TracMigrate::TracAttachment.connection.quote_string(id.to_s)}\''
@@ -201,7 +201,7 @@
         set_table_name :wiki
         set_primary_key :name
 
-        has_many :attachments, :class_name => "TracAttachment",
+        has_many :attachments, :class_name => "TracMigrate::TracAttachment",
                                :finder_sql => "SELECT DISTINCT attachment.* FROM #{TracMigrate::TracAttachment.table_name}" +
                                       " WHERE #{TracMigrate::TracAttachment.table_name}.type = 'wiki'" +
                                       ' AND #{TracMigrate::TracAttachment.table_name}.id = \'#{TracMigrate::TracAttachment.connection.quote_string(id.to_s)}\''
